This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 511092 - graphviz-php broken in rawhide
graphviz-php broken in rawhide
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 11:53 EDT by Remi Collet
Modified: 2009-12-18 12:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 12:50:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2009-07-13 11:53:54 EDT
After PHP 5.3.0 update :

1/ There is no ABI check for PHP version, so graphviz-php install, but fails to load

$ php -v
PHP Warning:  PHP Startup: gv: Unable to initialize module
Module compiled with module API=20060613
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0

I will fix this.

2/ graphviz-php own /usr/lib64/php/modules, it shouldn't

I will fix this (and use php-config --extension-dir)

3/ no php configuration script provided

I will add /etc/php.d/graphviz.ini

4/ Nedd rebuild against php 5.3.0

I will do it



Please, check my change and close this bug if you find all is ok.
Comment 1 Remi Collet 2009-07-13 13:32:40 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=1471717

Build of graphviz-2.20.3-4.fc12.1 done in rawhide

Strange : all the test reports as failed... (F11 or rawhide)
I don't think this is related to the php change...

PHP extension install and load fine.
Comment 2 Bug Zapper 2009-11-16 05:48:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Patrick Laughton 2009-12-18 12:50:51 EST
This appears to have been fixed for F-11, F-12, and devel.  Thanks Remi.

Note You need to log in before you can comment on or make changes to this bug.